package wtf.opal.event.impl.press;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
class LWJGLInteractionEvent {
   private final int interactionCode;

   protected LWJGLInteractionEvent(int interactionCode) {
      this.interactionCode = interactionCode;
   }

   public int getInteractionCode() {
      return this.interactionCode;
   }
}
